API ReferenceStops
Import stops
Import stops into EasyRoutes from an external source. The request body should include a list of stops to import. The response will include a list of imported stops with generated IDs. The maximum number of stops to import in a single request is 200. Imported stops will show up in EasyRoutes as orders that can be used to create routes.
POST
/stops/importsAuthorization
bearerAuth AuthorizationBearer <token>
Access token from /authenticate
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://easyroutes.roundtrip.ai/api/2024-07/stops/imports" \ -H "Content-Type: application/json" \ -d '[ {} ]'{ "stops": [ { "id": "string", "clientStopId": "string", "address": { "address1": "123 Main St", "address2": "Apt 3B", "city": "New York", "provinceCode": "NY", "countryCode": "US", "zip": "10001" }, "contact": { "firstName": "John", "lastName": "Doe", "company": "Roundtrip Systems Inc", "phone": "+14265551000", "email": "john.doe@roundtrip.ai" }, "coordinates": { "latitude": 0.1, "longitude": 0.1 }, "items": [ { "name": "string", "quantity": 0, "grams": 0, "sku": "string" } ], "note": "string", "duration": "string", "priority": 0, "orderName": "string", "importedAt": "2019-08-24T14:15:22Z", "timeWindows": [ { "start": { "hours": 13, "minutes": 37, "seconds": 16 }, "end": { "hours": 13, "minutes": 37, "seconds": 16 } } ], "deliveryDate": { "year": 2019, "month": 11, "day": 15 }, "attributes": [ { "key": "string", "value": "string" } ], "tags": [ "string" ], "tasks": [ { "title": "string", "type": "UNKNOWN", "items": [ { "title": "string" } ], "requiredToMarkStopAsDelivered": true, "requiredToMarkStopAsAttempted": true } ], "type": "UNKNOWN", "customSignatureDisclosure": "string" } ]}{ "code": 0, "message": "string", "details": [ { "@type": "string" } ]}